# Get customerFinancialDetails (v1.0)
Retrieve the properties and relationships of a customerFinancialDetails object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.s
```
GET businesscentralPrefix/companies({id})/customerFinancialDetails
GET businesscentralPrefix/companies({id})/customers?$expand=customerFinancialDetails
GET businesscentralPrefix/companies({id})/customers({customerId})?$expand=customerFinancialDetails
```
## Request headers (v1.0)
Header|Value
Authorization|Bearer {token}. Required.
## Request body (v1.0)
Do not supply a request body for this method.
## Response (v1.0)
If successful, this method returns a ```200 OK``` response code and an customerFinancialDetails object in the response body.
## Example (v1.0)
Request
Here is an example of the request.
```json
GET https://{businesscentralPrefix}/api/v1.0/companies({id})/customerFinancialDetails
```
Response
Here is an example of the response.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
    {
        "id": "50168e70-ec57-45cf-86d4-3d850e361606",
        "number": "50000",
        "balance": 8836.8,
        "totalSalesExcludingTax": 81049,
        "overdueAmount": 5754.96
    }
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../dynamics_error_codes
customerFinancialDetails resource<../resources/dynamics_customerfinancialdetails>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_customerfinancialdetails_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_customerfinancialdetails_get/
